Bank Kalteng (Phase 2) - Feature #1599

[Training Management] Penambahan MD DS Evaluation di Training Event (DE)

09/15/2022 02:54 PM - Mega Yunita

Status: Closed Start date: 09/15/2022
Priority: Urgent Due date: 09/19/2022
Assignee: Mega Yunita % Done: 0%
Category: Estimated time: 0.00 hour
Target version: Spent time: 22.00 hours
Description

Dear Team Developer,

Mohon bantuannya untuk menambahkan tampilan Ul pada tambahan MD baru, yaitu "DS Evaluation” di training event (DE).

Saya sudah menambahkan :

- Table fisik baru dengan nama CPHROMO0052

- SDATATABLEFIELD dengan nama CPHROMO0052
- Sudah mendaftarkan di PCMEPORMMDLIST

- Sudah mendaftarkan juga di SDATATABLE

Port : http:/103.168.134.28:61730/

Server : 103.168.134.119

DB : MinovaES_BankKalteng_Prod

Menu : HR > HR Strategic > Training Management > Training Data > DG > DT > DE

Semoga dapat dimengerti

Terimakasih

History

#1 - 09/15/2022 03:32 PM - Mega Yunita

- Tracker changed from Bug to Feature

#2 - 09/15/2022 03:49 PM - Mega Yunita

- Assignee changed from Mr. Yusuf to Tri Rizqiaty

#3 - 09/15/2022 03:51 PM - Mega Yunita

- Description updated

#4 - 09/21/2022 11:03 AM - Tri Rizqiaty

- File clipboard-202209211053-z0x0k.png added
- File clipboard-202209211054-v2zot.png added
- File LookupFunction-EmployeelD.js added

- File Parameter.xlsx added

- File clipboard-202209211103-9ebky.png added

Fixing :
1. Update Ul\app\view\orm\viewCustom\training : dsevaluation.js

2. Update Ul\app\controller\orm\ctriCustom\training : dsevaluation.js
3. Update table SDATATABLEFIELD - Field EmployeelD = perubahan LookupFunction
http://103.168.134.28:61730/

MH...SDATATABLEFIELD
AND FieldName IN ('EmployeeID','Instructor')

SOLQuery5.sql - rem..lteng Dev (sa (81))* + X [UIARIg2aEIE CMWFCUSTPARAM sql - rem. Jteng |

SELECT TableName, FieldName, TableRef, SearchType, LookupFunction FROM SDATATABLEFIELD WHERE (TableName = 'cphrom@@s4’

]D"”" ]

perubahan employeeid

=
W0% ~ 4 »
BB Resuts 2 Messages
TableName FieldName: TableRef SearchType —LaskupFunsti
1 PHAOMO054 | EmployeslD  PDSEMPATTENDE 2 var EmployeelD = Ext ComponentQuery queny(fname..
2 CPHROMOO3 Instuctor  PDSEMPD0D2 0

4. update table PCMWFCUSTPARAM - ID = 'GETEMPSUPERVISOR'

SQLQuery3.sql - rem..lteng_Dev (sa (81))* & X -
SELECT 7 FROM SDATATABLEFIELD WHERE (TableName = ,"Instructor') +
=
perubahan untuk Instructor
>

100% ~
EH Resuts 2l Messages
TableName FieldMame SeqMum  DataRef DataType Length FPrec Scale  TableRef FixedValue  SearchFunction SearchType IsPrimaryKey Isldentity AllowNul  SelectFunction  IsindexKey IsDescindexKey Fom
1 CPHROMDO54 : EmployeelD 5 EMPID o 18 0 0 PDSEMPATTENDE 2 1 o o o a
2 CPHROMO034  Instructor 7 INSTRUC O 18 0 0 PDSEMPO002 Q o o 1 o Q
< 2>

5. uopdate table PCMEPORMMDLIST - ObjectClass = 'DE' - TableName = 'CPHROMO0054'

HRIS-DATABASE.....PCMEPORMMDLIST + > I
Column Alias Table Quty Sort Type Sort Order Filter Or... Or.. Or.. 2
ObjectClass PCMEPOR... ='DE'
Language PCMEPOR...

] TableName PCMEPOR...
LabelMame PCMEPOR...
RelationStruc... PCMEPOR...
Sequence PCMEPOR...
LayoutType PCMEPOR...
CustomLayout PCMEPOR...
Lesthecerd PCMEPOR.. perubahan custom layout sesuai Ul
Motes PCMEPOR...
CreateBy PCMEPOR...
CreateDate PCMEPOR... = \ ™
ObjectClass Language TableName LabelName RelationStruct..  Sequence LayoutType CustemLayout [y y— Notes CreateB

3 I EN = CPHROMO054 D5 Evaluation DG-DG-DT-DE 0 ’ LDD: * M\nuvaES.\:EW.Urm.vlewCu;tum‘gammg.dsevaluatlun \MI mmuva\:
DE IDN CPHROMO0034 DS Evaluation DG-DG-DT-DE 0 Lo04 MinovaES.view.orm.viewCustom training.dsevaluation minovais

* NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL NULL

< >
#5 - 09/21/2022 11:03 AM - Tri Rizqiaty

- Status changed from Assigned to Developing

#6 - 09/21/2022 11:07 AM - Tri Rizqgiaty
- Status changed from Developing to QA Test

- Assignee changed from Tri Rizqiaty to Mega Yunita

Mega tolong ditest ya

#7 - 10/13/2022 12:12 PM - Mega Yunita
- Status changed from QA Test to Closed

Files

MD baru.png 74 KB 09/15/2022 Mega Yunita
clipboard-202209211053-z0x0k.png 48.2 KB 09/21/2022 Tri Rizqgiaty
clipboard-202209211054-v2zot.png 51.1 KB 09/21/2022 Tri Rizqgiaty
LookupFunction-EmployeelD.js 437 Bytes 09/21/2022 Tri Rizqgiaty
Parameter.xlIsx 10.6 KB 09/21/2022 Tri Rizgiaty
clipboard-202209211103-9ebky.png 72.2 KB 09/21/2022 Tri Rizqgiaty
